Debian Bug report logs - #618205
gorm.app: FTBFS: GormClassManager.m:33:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory

version graph

Package: src:gorm.app; Maintainer for src:gorm.app is Gürkan Sengün <gurkan@phys.ethz.ch>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 13 Mar 2011 17:56:04 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version gorm.app/1.2.10-2

Fixed in version gorm.app/1.2.10-2.1

Done: Yavor Doganov <yavor@gnu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#618205; Package src:gorm.app. (Sun, 13 Mar 2011 17:56:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sun, 13 Mar 2011 17:56:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gorm.app: FTBFS: GormClassManager.m:33:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory
Date: Sun, 13 Mar 2011 18:40:18 +0100
Source: gorm.app
Version: 1.2.10-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110313 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-gorm.app_1.2.10-2-amd64-A4seVE/gorm.app-1.2.10/GormCore'
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj
> Making all for library GormCore...
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj/GormCore.obj/
> gcc GormBoxEditor.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/GormCore.obj/GormBoxEditor.m.o
> gcc GormClassEditor.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/GormCore.obj/GormClassEditor.m.o
> gcc GormClassInspector.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/GormCore.obj/GormClassInspector.m.o
> gcc GormClassManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -fconstant-string-class=NSConstantString -I.. -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/GormCore.obj/GormClassManager.m.o
> GormClassManager.m:33:38: fatal error: GNUstepBase/GSCategories.h: No such file or directory
> compilation terminated.
> make[5]: *** [obj/GormCore.obj/GormClassManager.m.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/03/13/gorm.app_1.2.10-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added indication that bug 618205 blocks 629477 Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 24 Sep 2011 15:18:03 GMT) Full text and rfc822 format available.

Added tag(s) pending and patch. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Sat, 08 Oct 2011 11:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#618205; Package src:gorm.app. (Sat, 08 Oct 2011 11:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to Gürkan Sengün <gurkan@phys.ethz.ch>. (Sat, 08 Oct 2011 11:45:11 GMT) Full text and rfc822 format available.

Message #14 received at 618205@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 618205@bugs.debian.org, 629198@bugs.debian.org
Subject: gorm.app: diff for NMU version 1.2.10-2.1
Date: Sat, 8 Oct 2011 14:04:45 +0300
[Message part 1 (text/plain, inline)]
tags 618205 + patch pending
tags 629198 + patch pending
thanks

Hi Gürkan,

I've prepared an NMU for gorm.app (versioned as 1.2.10-2.1) and will
upload it to DELAYED/N where N depends on my sponsor's judgement.
[gorm.app-1.2.10-2.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Yavor Doganov <yavor@gnu.org>:
You have taken responsibility. (Sat, 08 Oct 2011 15:09:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 08 Oct 2011 15:09:10 GMT) Full text and rfc822 format available.

Message #19 received at 618205-close@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 618205-close@bugs.debian.org
Subject: Bug#618205: fixed in gorm.app 1.2.10-2.1
Date: Sat, 08 Oct 2011 15:03:58 +0000
Source: gorm.app
Source-Version: 1.2.10-2.1

We believe that the bug you reported is fixed in the latest version of
gorm.app, which is due to be installed in the Debian FTP archive:

gorm.app_1.2.10-2.1.diff.gz
  to main/g/gorm.app/gorm.app_1.2.10-2.1.diff.gz
gorm.app_1.2.10-2.1.dsc
  to main/g/gorm.app/gorm.app_1.2.10-2.1.dsc
gorm.app_1.2.10-2.1_amd64.deb
  to main/g/gorm.app/gorm.app_1.2.10-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618205@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yavor Doganov <yavor@gnu.org> (supplier of updated gorm.app package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 08 Oct 2011 13:33:05 +0300
Source: gorm.app
Binary: gorm.app
Architecture: source amd64
Version: 1.2.10-2.1
Distribution: unstable
Urgency: low
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Changed-By: Yavor Doganov <yavor@gnu.org>
Description: 
 gorm.app   - Visual Interface Builder for GNUstep
Closes: 618205 629198
Changes: 
 gorm.app (1.2.10-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with gnustep-base/1.22; patch taken from upstream SVN
     (Closes: #629198).
   * Fix FTBFS with gcc-4.6; do not include nonexistent header (Closes:
     #618205).
Checksums-Sha1: 
 cecfa3163741379e4565e23f3ff5201340517f54 1217 gorm.app_1.2.10-2.1.dsc
 f58a3efcdb782954bbd8038f594dba95e5a67bfb 6838 gorm.app_1.2.10-2.1.diff.gz
 d9210b0855c9d1dfec8a0d4e0f2a4b579c56f4b1 1706028 gorm.app_1.2.10-2.1_amd64.deb
Checksums-Sha256: 
 05554ae793168262ebe5c8b6760e6e3bc78bcc717f291c3b6677e3f2f8976d0c 1217 gorm.app_1.2.10-2.1.dsc
 261cf64e9d81411f0575cd8485caf943bca88e414a60c40a80efeb657898a395 6838 gorm.app_1.2.10-2.1.diff.gz
 92b083b34fb638a98c4c933fbdfa40848b8f182020342d6e2be81618205bc997 1706028 gorm.app_1.2.10-2.1_amd64.deb
Files: 
 0a8e3fd639a756cb0cc20c7e58e5c726 1217 gnustep optional gorm.app_1.2.10-2.1.dsc
 3f4763282ff9eaaa95a653646739fb56 6838 gnustep optional gorm.app_1.2.10-2.1.diff.gz
 507e5a92466efb2f304ef5e9a672a8e2 1706028 gnustep optional gorm.app_1.2.10-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6QWqoACgkQfNdgYxVXvBBe4gCeK61bynLBOUa1/U4zqXHIU5GY
hWEAoJlO+pgOLzxoSUXbHnlADNergd4J
=lxyK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:39:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:43:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.